import PropTypes from 'prop-types';
import cx from 'classnames';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS_NAME, DRAG_STATE_STATUS_ACCEPTED, DRAG_STATE_STATUS_REJECTED } from './config';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var DRAG_STATE_CLASS_NAME = BASE_CLASS_NAME + "-dragState";

var DragState = function DragState(_ref) {
  var _cx;

  var icon = _ref.icon,
      _ref$status = _ref.status,
      status = _ref$status === void 0 ? DRAG_STATE_STATUS_ACCEPTED : _ref$status,
      text = _ref.text;
  var dropzoneClassName = cx(DRAG_STATE_CLASS_NAME, (_cx = {}, _cx[DRAG_STATE_CLASS_NAME + "--accepted"] = status === DRAG_STATE_STATUS_ACCEPTED, _cx[DRAG_STATE_CLASS_NAME + "--rejected"] = status === DRAG_STATE_STATUS_REJECTED, _cx));
  return /*#__PURE__*/_jsxs("div", {
    className: dropzoneClassName,
    children: [/*#__PURE__*/_jsx(AtomIcon, {
      size: ATOM_ICON_SIZES.extraLarge,
      children: icon
    }), /*#__PURE__*/_jsx("div", {
      className: DRAG_STATE_CLASS_NAME + "-textState",
      children: text
    })]
  });
};

DragState.displayName = 'DragState';
export default DragState;